glib/gtk

less than 1 minute read

Successfully upgraded glib and gtk to the GNOME 2.14.0 speced versions, albeit running GNOME 2.12.3 speced everything else.

The upgrade process was not as smooth as it should of/could of been:

Had to deactivte librsvg since that port is having some troubles with the new glib/gtk, causing the gdk-pixbuf.loadersĀ file to not be built. I don’t know anymore than that at the moment.

After installing the new gtk, I had to run the following:

Getafix:/opt/local/lib/gtk-2.0/2.4.0/loaders rhwood$ sudo -s
Getafix:/opt/local/lib/gtk-2.0/2.4.0/loaders root# gdk-pixbuf-query-loaders *.so > /opt/local/etc/gtk-2.0/gdk-pixbuf.loaders

Next step is to build and test the orbit2, libbonobo, and gconf ports.

Tags:

Updated: